Page MenuHomePhabricator

Lightbox exits when Esc is pressed with a modifier key
Closed, ResolvedPublic

Description

Steps to reproduce (on Chrome 33/Ubuntu 13 with Unity):

  1. open lightbox
  2. press and hold Alt
  3. press Esc
  4. release Alt

Expected result:
Task selection OS interface appears when pressing Alt+Tab, disappears when pressing Esc (which is the normal way of exiting the task selection interface without actually selecting a different task). Lightbox is undisturbed.

Actual result:
Task selection interface works as expected, but the lightbox is also closed.


Version: unspecified
Severity: minor

Details

Reference
bz62580

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:03 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz62580.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Mar 12 2014, 9:14 PM

This one is by design (// Close the interface all the way if the user pressed 'esc'). However, I agree that bug: 62578 -- "exit fullscreen by clicking the link provided by the browser" -- should be fixed.

Tgr added a comment.Mar 13 2014, 12:20 AM

This is definitely not by design. Pressing Esc should close the lightbox when the user presses it with that intent; it should not close the lightbox when it is pressed as part of some completely different interaction which is not even related to the browser.

Granted, this is really a bug in Unity (that Esc press should not pass through to the browser in the first place), but it is an easy fix, just check for any modifier keys.

Note that the "Close the interface all the way if the user pressed 'esc'" comment refers to closing the lightbox when it is fullscreen mode and the user presses Esc (the browser default would be to just un-fullscreen). IMO that is a bug too, as it is contrary to user expectations and standard browser behavior, but that is related to bug 62578. This bug is not related to fullscreen at all.

Tgr added a comment.Mar 13 2014, 12:23 AM

Ugh, I left out a reproduction step, no wonder it does not make sense. This is the correct version:

Steps to reproduce (on Chrome 33/Ubuntu 13 with Unity):

  1. open lightbox
  2. press and hold Alt
  3. press Tab (opens task selection interface of the OS/window manager)
  4. press Esc
  5. release Alt

Ohhh I'm so sorry. I misread.

Change 119128 had a related patch set uploaded by Gergő Tisza:
Fix navigation issue with alt+esc on Ubuntu/Unity.

https://gerrit.wikimedia.org/r/119128

Change 119128 merged by jenkins-bot:
Fix navigation issue with alt+esc on Ubuntu/Unity.

https://gerrit.wikimedia.org/r/119128

Needs a mingle card

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:22 AM